<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <LangVersion>latest</LangVersion>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="MSTest" Version="4.0.1" />
        <PackageReference Include="StyleCop.Analyzers" Version="1.1.118">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
    </ItemGroup>

    <ItemGroup>
        <Using Include="Microsoft.VisualStudio.TestTools.UnitTesting" />
    </ItemGroup>

    <ItemGroup>
      <Content Include="..\Webzine.Documentation\StyleCop\stylecop.json">
        <Link>stylecop.json</Link>
      </Content>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Webzine.Entity\Webzine.Entity.csproj" />
    </ItemGroup>

</Project>
